{ config, lib, ... }:

with lib;
let
  psCfg = config.pub-solar;
  cfg = config.pub-solar.core;
in
{
  imports = [
    ./boot.nix
    ./hibernation.nix
    ./fonts.nix
    ./i18n.nix
    ./networking.nix
    ./nix.nix
    ./packages.nix
    ./services.nix
  ];

  options.pub-solar.core = {
    lite = mkOption {
      description = ''
        Enable a lite edition of core with less default modules and a reduced package set.
      '';
      default = false;
      type = types.bool;
    };
  };

  config = {
    pub-solar = {
      audio.enable = lib.mkIf (!cfg.lite) true;
      crypto.enable = lib.mkIf (!cfg.lite) true;
      devops.enable = lib.mkIf (!cfg.lite) true;

      terminal-life = {
        enable = true;
        lite = cfg.lite;
      };
    };
  };
}
